org.apache.maven.scm.provider.cvslib.cvsjava.command.update

## Class CvsJavaUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.update.CvsJavaUpdateCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsJavaUpdateCommand
    extends AbstractCvsUpdateCommand

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsJavaUpdateCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected UpdateScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
`protected ChangeLogCommand` `getChangeLogCommand()`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand

`executeUpdateCommand`

### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsJavaUpdateCommand

    public CvsJavaUpdateCommand()

### Method Detail

#### executeCvsCommand

    protected UpdateScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                         throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsUpdateCommand`
Throws:
  `ScmException`

#### getChangeLogCommand

    protected ChangeLogCommand getChangeLogCommand()

Specified by:
  `getChangeLogCommand` in class `AbstractUpdateCommand`